## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2023-2025 Wesley Gimenes <wehagy@proton.me>
# SPDX-Comment: See LICENSE for the full license text

%global sha256sum0          1abbf8053f37b2cc765c18cb2d5b355e687d25b32bbb1bd0426749295328b357
%global tag                 v0.4.31


# BuildRequires dependencies
%global meson_version       0.62.0
%global libadwaita_version  1.5

# Recommends dependencies
%global yad_version         7.2


%global app_id              com.vysp3r.ProtonPlus
%global forgeurl            https://github.com/vysp3r/ProtonPlus
%forgemeta
%undefine                   distprefix 
# sometimes upstream version contains dashes, replace them with dots
%global gen_version         %{gsub %{fileref} - .}



Name:           %{lower %{repo}}-next
Version:        %{gen_version}
Release:        %autorelease
Summary:        A modern compatibility tools manager for Linux
ExclusiveArch:  x86_64
BuildSystem:    meson

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:        README.md
# license of the spec file
Source2:        LICENSE
Source3:        %{name}.rpmlintrc


Patch0:         rename-executable-to-protonplus.patch
Patch1:         fix-appstream-util-test.patch


BuildRequires:  gettext
BuildRequires:  meson >= %{meson_version}
BuildRequires:  vala

# desktop-file-validate command
BuildRequires:  desktop-file-utils
# appstream-util command
BuildRequires:  libappstream-glib

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libsoup-3.0)


# TLS support
Requires:       glib-networking
# fix: Package must own all directories that it creates.
# Directories without known owners: /usr/share/icons/hicolor/*
Requires:       hicolor-icon-theme


# SteamTinkerLaunch
Recommends:     bash
Recommends:     gawk
Recommends:     git
Recommends:     procps-ng
Recommends:     unzip
Recommends:     wget
Recommends:     xdotool
Recommends:     xprop
Recommends:     xrandr
Recommends:     xwininfo
Recommends:     xxd
Recommends:     yad >= %{yad_version}



%description
Install and manage Wine/Proton based compatibility tools
with a graphical user interface.

Supported launchers:
 - Steam
 - Lutris
 - Heroic Games Launcher
 - Bottles

Supported compatibility tools:
 - Steam Tinker Launch
 - Proton-GE
 - Luxtorpeda
 - Boxtron
 - Roberta
 - NorthstarProton
 - DXVK
 - And much more


%prep -p
sha256sum -c <(echo "%{sha256sum0} %{SOURCE0}")


%install -a
%find_lang %{app_id}


%files -f %{app_id}.lang
%license LICENSE.md
%doc README.md CONTRIBUTING.md CODE_OF_CONDUCT.md SECURITY.md
%{_bindir}/%{lower %{repo}}
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{app_id}.png
%{_metainfodir}/%{app_id}.metainfo.xml



%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 John Doe <packager@example.com> - 0.4.31-1
- Uncommitted changes
## END: Generated by rpmautospec
